package eu.dnetlib.validator2.validation.utils;

import eu.dnetlib.validator2.engine.Status;
import eu.dnetlib.validator2.validation.guideline.Guideline;

import java.util.List;

public class ResultUtils {


	public static Guideline.Result getNewResult(List<String> warnings2, List<String> errors2, int score2) {
		return new Guideline.Result() {

			int score;
			Status status;
			Iterable<String> warnings;
			Iterable<String> errors;
			String internalError;

			@Override
			public int score() {
				return score2;
			}

			@Override
			public Status status() {
				return Status.valueOf((score2 > 0) ? "SUCCESS" : "FAILURE");
			}

			@Override
			public Iterable<String> warnings() {
				return warnings2;
			}

			@Override
			public Iterable<String> errors() {
				return errors2;
			}

			@Override
			public String internalError() {
				return internalError;
			}

			@Override
			public int getScore() {
				return score();
			}

			@Override
			public void setScore(int score) {
				this.score = score;
			}

			@Override
			public Status getStatus() {
				return status();
			}

			@Override
			public void setStatus(Status status) {
				this.status = status;
			}

			@Override
			public Iterable<String> getWarnings() {
				return warnings();
			}

			@Override
			public void setWarnings(Iterable<String> warnings) {
				this.warnings = warnings;
			}

			@Override
			public Iterable<String> getErrors() {
				return errors();
			}

			@Override
			public void setErrors(Iterable<String> errors) {
				this.errors = errors;
			}

			@Override
			public String getInternalError() {
				return internalError();
			}

			@Override
			public void setInternalError(String internalError) {
				this.internalError = internalError;
			}
		};
	}

}
